Subject: [Sip] Comparison of retargeting proposals

From: [email-masked]
Date: Tue, 25 Mar 2008 11:29:12 -0500

I've put together a comparison chart of the varous retargeting
proposals:

			ua-loose-route	target-uri	History-Info	URI-
							 (updated)	param.

Upward-compatible	N		Y		Y		Y
with RFC 3263?

Upward-compatible	depends		Y		Y		Y
for UA?

Upward-compatible for	Y		Y		Y		Y
intermediate proxies?

Complexity		low		low		high		low

Upward-compatible for	Y		Y		Y		N
intermediate routing?

Multiple targets?	N		N		Y		N

The proposals are:

ua-loose-route - draft-rosenberg-sip-ua-loose-route-02

target-uri - draft-holmberg-sip-target-uri-delivery-01

History-Info - History-Info (RFC 4244), with additional parameters as
needed

URI-param. - a URI-parameter like the 'target' proposed in RFC 4458

The criteria are:

Upward-compatible with RFC 3263?

If a message has no Route headers, is its destination to be determined
from the request-URI host-port as in RFC 3263?

Upward-compatible for UA?

Is the proposal compatible with UAs that use RFC 3263 to examine the
request-URI to determine if they are the destination of the request.

Complexity

Multiple targets?

Does the mechanism display more than the latest retargeted URI?

Dale
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Christer Holmberg" <[email-masked]>
Date: Sat, 29 Mar 2008 13:22:46 +0100

Please define "complexity".

Regards,

Christer

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
[email-masked]
Sent: 25. maaliskuuta 2008 18:29
To: [email-masked]
Subject: [Sip] Comparison of retargeting proposals

			ua-loose-route	target-uri	History-Info
URI-
							 (updated)
param.

Upward-compatible	N		Y		Y
Y
with RFC 3263?

Upward-compatible	depends		Y		Y
Y
for UA?

Upward-compatible for	Y		Y		Y
Y
intermediate proxies?

Complexity		low		low		high
low

Upward-compatible for	Y		Y		Y
N
intermediate routing?

Multiple targets?	N		N		Y
N

The proposals are:

The criteria are:

Complexity

Multiple targets?

Dale
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "DOLLY, MARTIN C, ATTLABS" <[email-masked]>
Date: Sat, 29 Mar 2008 07:26:42 -0500

Predictability is better criteria. Complex and predictable is preferred,
over simple and not predictable.

Cheers,

Martin 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Christer Holmberg
Sent: Saturday, March 29, 2008 8:23 AM
To: [email-masked]; [email-masked]
Subject: Re: [Sip] Comparison of retargeting proposals

Regards,

Christer

-----Original Message-----

Upward-compatible	N		Y		Y
Y
with RFC 3263?

Complexity		low		low		high
low

Multiple targets?	N		N		Y
N

The proposals are:

The criteria are:

Complexity

Multiple targets?

Dale

---

From: "Christer Holmberg" <[email-masked]>
Date: Sat, 29 Mar 2008 13:30:27 +0100

Hi,

Another comment:

For ua-loose-route you indicate that is is upward-compatible for
intermediate proxies/routing.

Maybe I missunderstand what you are trying to say, but one of the main
issues (in my opinion) with the ua-loose-route mechanism is that it DOES
need to know whether the next hop supports it or not.

Regards,

Christer 

-----Original Message-----

Upward-compatible	N		Y		Y
Y
with RFC 3263?

Complexity		low		low		high
low

Multiple targets?	N		N		Y
N

The proposals are:

The criteria are:

Complexity

Multiple targets?

Dale

---

From: "Christer Holmberg" <[email-masked]>
Date: Sat, 29 Mar 2008 13:33:21 +0100

Hi,

I agree with Martin.

However, I still fail to understand how Target would be more "complex"
than e.g. History-Info. 

Regards,

Christer

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
DOLLY, MARTIN C, ATTLABS
Sent: 29. maaliskuuta 2008 14:27
To: Christer Holmberg; [email-masked]; [email-masked]
Subject: Re: [Sip] Comparison of retargeting proposals

Cheers,

Martin 

-----Original Message-----

Regards,

Christer

-----Original Message-----

Upward-compatible	N		Y		Y
Y
with RFC 3263?

Complexity		low		low		high
low

Multiple targets?	N		N		Y
N

The proposals are:

The criteria are:

Complexity

Multiple targets?

Dale

---

From: [email-masked] (Juha Heinanen)
Date: Sat, 29 Mar 2008 14:47:30 +0200

> However, I still fail to understand how Target would be more "complex"

christer,

ANY solution for anything must be MUCH simpler than history-info, which
is far too complex by itself.

i haven't seen anyone fully implement history-info and most likely that
is because of its complexity.  if you are now going to invent some other
mechanism that is as complex or even more complex, it has no change in
real world.

i therefore suggest that h-i is deprecated and a replaced by a simpler
mechanism.

-- juha

---

From: "Enrico Marocco" <[email-masked]>
Date: Sat, 29 Mar 2008 13:54:06 +0100

> However, I still fail to understand how Target would be more "complex"

Christer, I'm not sure your mail client displays Dale's table correctly.
 Complexity is "low" for all proposals but History-Info, for which, in
fact, is set to "high".

-- 
Ciao,
Enrico
--------------------------------------------------------------------

CONFIDENTIALITY NOTICE

This message and its attachments are addressed solely to the persons above and may contain confidential information. If you have received the message in error, be informed that any use of the content hereof is prohibited. Please return it immediately to the sender and delete the message. Should you have any questions, please contact us by replying to [email-masked].

        Thank you

                                        www.telecomitalia.it

--------------------------------------------------------------------

---

From: "Christer Holmberg" <[email-masked]>
Date: Sat, 29 Mar 2008 15:01:09 +0100

Hi Juha,

It's nice to see that you're still around :)

than e.g. History-Info. 

Yes, and I personally think that Target IS simpler than History-Info.

>i haven't seen anyone fully implement history-info and most likely that
is because of its complexity.  if you are now 
>going to invent some other mechanism that is as complex or even more
complex, it has no change in real world.

Well, if people think Target is complex I sure would like to hear the
reasons. That is why I asked Dale what he means by "complexity", when he
indicates that Target is complex but History-Info isn't...

mechanism.

I do think it is important to remember that Target is not meant as a
History-Info replacement in general.

Regards,

Christer

---

From: "Christer Holmberg" <[email-masked]>
Date: Sat, 29 Mar 2008 15:04:33 +0100

Hi, 

than e.g. History-Info. 
fact, is set to "high".

Oooh... if that is the case then Outlook IS playing me a trick, and I
would like to appologize and withdraw my comment :)

Regards,

Christer

---

From: "DOLLY, MARTIN C, ATTLABS" <[email-masked]>
Date: Sat, 29 Mar 2008 19:48:47 -0500

Hello,

Loose route is a POS,,,, not predictable. Target-URI is preferred.

Martin 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Christer Holmberg
Sent: Saturday, March 29, 2008 8:30 AM
To: [email-masked]; [email-masked]
Subject: Re: [Sip] Comparison of retargeting proposals

Hi,

Another comment:

Regards,

Christer 

-----Original Message-----

Upward-compatible	N		Y		Y
Y
with RFC 3263?

Complexity		low		low		high
low

Multiple targets?	N		N		Y
N

The proposals are:

The criteria are:

Complexity

Multiple targets?

Dale

---

From: "Francois Audet" <[email-masked]>
Date: Mon, 31 Mar 2008 19:15:51 -0500

There are existing implementations of History-Info in the field.

It's not rocket science.

And I don't see why introducing something else will be simpler. It will just
be extra complexity. 

> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Juha Heinanen
> Sent: Saturday, March 29, 2008 05:48
> To: Christer Holmberg
> Cc: [email-masked]; DOLLY, MARTIN C, ATTLABS
> ANY solution for anything must be MUCH simpler than 
> history-info, which is far too complex by itself.
> 
> i haven't seen anyone fully implement history-info and most 
> likely that is because of its complexity.  if you are now 
> going to invent some other mechanism that is as complex or 
> even more complex, it has no change in real world.
> 
> i therefore suggest that h-i is deprecated and a replaced by 
> a simpler mechanism.
> 
> -- juha
> [email-masked] for questions on current sip

---

From: "Francois Audet" <[email-masked]>
Date: Mon, 31 Mar 2008 19:17:11 -0500

History-Info + New-Target > History-Info

> Behalf Of Christer Holmberg
> Sent: Saturday, March 29, 2008 05:33
> To: DOLLY, MARTIN C, ATTLABS; [email-masked]; [email-masked]

---

From: [email-masked] (Juha Heinanen)
Date: Tue, 1 Apr 2008 07:09:58 +0300

> There are existing implementations of History-Info in the field.

are those among the 10 most common UAs and proxies?

-- juha

---

From: "Hans Erik van Elburg" <[email-masked]>
Date: Tue, 1 Apr 2008 10:07:02 +0200

The point is that History-Info does not solve the problem so something
new is needed anyway.

And proper use of History-Info is rocket science as Dale has shown.

/Hans Erik

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Francois Audet
Sent: Tuesday, April 01, 2008 2:16 AM
To: Juha Heinanen; Christer Holmberg
Cc: [email-masked]; DOLLY, MARTIN C, ATTLABS
Subject: Re: [Sip] Comparison of retargeting proposals

It's not rocket science.

And I don't see why introducing something else will be simpler. It will
just be extra complexity. 

> Juha Heinanen
> ANY solution for anything must be MUCH simpler than history-info, 
> which is far too complex by itself.
> 
> i haven't seen anyone fully implement history-info and most likely 
> that is because of its complexity.  if you are now going to invent 
> some other mechanism that is as complex or even more complex, it has 
> no change in real world.
>

---

From: "Mary Barnes" <[email-masked]>
Date: Tue, 1 Apr 2008 08:27:47 -0500

The proper use of History-Info isn't rocket science, but it does require
careful reading of the spec and proper implementation (i.e., I agree if
you don't implement the spec properly, then it is a mess but that can be
the case for any spec that isn't implemented properly). There are some
inaccuracies in one of Dale's examples on forking that makes it look far
more error prone and problematic than it should be. I'll respond
separately with details.  

Mary. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Hans Erik van Elburg
Sent: Tuesday, April 01, 2008 3:07 AM
To: Audet, Francois (SC100:3055); Juha Heinanen; Christer Holmberg
Cc: [email-masked]; DOLLY, MARTIN C, ATTLABS
Subject: Re: [Sip] Comparison of retargeting proposals

/Hans Erik

-----Original Message-----

It's not rocket science.

---

From: [email-masked] (Juha Heinanen)
Date: Tue, 1 Apr 2008 18:59:51 +0300

Mary Barnes writes:

 > the case for any spec that isn't implemented properly). 

if spec is simple, it is highly likely that vendors will (a) implement
it and (b) implement it correctly.  in case of h-i, neither is likely to
happen.

-- juha

---

From: "Francois Audet" <[email-masked]>
Date: Tue, 1 Apr 2008 11:18:10 -0500

Any addition of a new header that nobody can explain properly why it's not
the same as History-Info IS rocket science.

It sounds like we are getting paid by the number of URI we add to SIP. 

> From: Hans Erik van Elburg [mailto:[email-masked]] 
> Sent: Tuesday, April 01, 2008 01:07
> Subject: RE: [Sip] Comparison of retargeting proposals
> 
> The point is that History-Info does not solve the problem so 
> something new is needed anyway.
> 
> Behalf Of Francois Audet
> And I don't see why introducing something else will be 
> simpler. It will just be extra complexity. 
> 
> Behalf Of